Page MenuHomeFreeBSD

graphics/aseprite: Update to 1.2.6
ClosedPublic

Authored by yuri on Dec 16 2017, 6:43 PM.

Details

Summary

A semi-simple update.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 16 2017, 6:43 PM
tcberner added inline comments.Dec 17 2017, 1:35 PM
graphics/aseprite/Makefile
70 ↗(On Diff #36674)

^ I would prefere broken lines instead of CMAKE_ARGS+=
Also maybe group at least the two WEBP_CMAKE_ON-s together.

83 ↗(On Diff #36674)

^ why is this necessary? Is X11_LIB_SEARCH_PATH not properly set in the CMakeLists.txt?

yuri updated this revision to Diff 36688.Dec 17 2017, 3:45 PM
yuri marked 2 inline comments as done.

.

yuri added inline comments.Dec 17 2017, 3:45 PM
graphics/aseprite/Makefile
83 ↗(On Diff #36674)

This may have been a problem before.

yuri marked an inline comment as done.Dec 17 2017, 6:15 PM
yuri added inline comments.
graphics/aseprite/Makefile
70 ↗(On Diff #36674)

-DUSE_SHARED_FREETYPE:BOOL=OFF # needs files internal to freetype2 doesn't mean it is broken. It means that USE_SHARED_FREETYPE can't be ON because it would require internal files which are never installed by the external package. I told them that they should either remove the use of internal headers (people aren't supposed to use them anyway), or remove this option entirely because it is meaningless as it is now.

tcberner added inline comments.Dec 17 2017, 9:57 PM
graphics/aseprite/Makefile
70 ↗(On Diff #36674)

Thanks, that makes it much more readable [to me at least :D ]

The WEBP_foos should pboably be CMAKE_BOOLs

yuri marked 2 inline comments as done.Dec 17 2017, 10:13 PM
yuri added inline comments.
graphics/aseprite/Makefile
70 ↗(On Diff #36674)

You're welcome!

adamw accepted this revision.Dec 19 2017, 4:39 AM

Go for it. I'll leave the decision about sorting the LIB_DEPENDS up to you.

graphics/aseprite/Makefile
26 ↗(On Diff #36694)

Consider sorting these.

This revision is now accepted and ready to land.Dec 19 2017, 4:39 AM
yuri marked 3 inline comments as done.Dec 19 2017, 3:49 PM
yuri added inline comments.
graphics/aseprite/Makefile
26 ↗(On Diff #36694)

Sorted, thanks.

This revision was automatically updated to reflect the committed changes.
yuri marked an inline comment as done.